cmake_minimum_required(VERSION 3.23)

project(RDS)

add_compile_definitions(SERVER)
if (WIN32)
    add_compile_definitions(WIN32 SERVER)
endif()

add_executable(RDS ds.cpp)
add_subdirectory(Lua)
target_include_directories(RDS PRIVATE
    ../libraries/enet/include/.
)
target_link_libraries(RDS PRIVATE    
    raylib 
    enet   
    helpers
    lua_static
)